using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace ConsoleApp1
{
    class Program
    {
        static void Main(string[] args)
        {
            int n, a;
            string[] x = Console.ReadLine().Split();
            n = int.Parse(x[0]);
            a = int.Parse(x[1]);
            int[,] poeni = new int[3, 2];
            if (n / 3 < a)
                Console.WriteLine("-1");
            else
            {
                poeni[0, 0] = a;
                n -= a;
                poeni[1, 0] = a;
                n -= a;
                poeni[2, 0] = a;
                n -= a;
                while (n > 0)
                {
                    if (poeni[0, 1] != poeni[0, 0] - 2)
                    {
                        poeni[0, 1]++;
                        n--;
                    }
                    else
                    {
                        if (poeni[1, 1] != poeni[1, 0] - 2)
                        {
                            poeni[1, 1]++;
                            n--;
                        }
                        else
                        {
                            if (poeni[2, 1] != poeni[2, 0] - 2)
                            {
                                poeni[2, 1]++;
                                n--;
                            }
                        }
                    }
                    if (n > 0 && poeni[2, 1] == poeni[2, 0] - 2)
                    {
                        while(n > 0)
                        {
                            if (n % 2 == 0)
                            {
                                poeni[0, 1]+=n/2;
                                poeni[0, 0]+=n/2;
                                n = 0;
                            }
                            else
                            {
                                poeni[2, 1]--;
                                n++;
                            }
                        }
                    }
                }

            }
            Console.WriteLine(poeni[0, 0] + " " + poeni[0, 1]);
            Console.WriteLine(poeni[1, 0] + " " + poeni[1, 1]);
            Console.WriteLine(poeni[2, 0] + " " + poeni[2, 1]);
        }
    }
}